- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Typedefs | Enumerations
Edje Swallow Part
Edje » Edje Object » Edje Part

Functions that deal with parts of type swallow and swallowed objects. More...

## Typedefs
typedef enum _Edje_Aspect_Control | Edje_Aspect_Control
| All Edje aspect control values. More...

## Enumerations
enum | _Edje_Aspect_Control { EDJE_ASPECT_CONTROL_NONE = 0, EDJE_ASPECT_CONTROL_NEITHER = 1, EDJE_ASPECT_CONTROL_HORIZONTAL = 2, EDJE_ASPECT_CONTROL_VERTICAL = 3, EDJE_ASPECT_CONTROL_BOTH = 4 }

## Detailed Description

Functions that deal with parts of type swallow and swallowed objects.

A important feature of Edje is to be able to create Evas_Objects in code and place them in a layout. And that is what swallowing is all about.

Swallow parts are place holders defined in the EDC file for objects that one may want to include in the layout later, or for objects that are not native of Edje. In this last case, Edje will only treat the Evas_Object properties of the swallowed objects.

## Typedef Documentation

Edje_Aspect_Control

All Edje aspect control values.